# Uses of Class
org.stianloader.remapper.SimpleTopLevelLookup.MemberRealm

## Uses of SimpleTopLevelLookup.MemberRealm in org.stianloader.remapper

Methods in org.stianloader.remapper that return SimpleTopLevelLookup.MemberRealm
Modifier and Type
Method
Description
`@Nullable SimpleTopLevelLookup.MemberRealm`
SimpleTopLevelLookup.`realmOf(@NotNull MemberRef reference)`
Lookup the `SimpleTopLevelLookup.MemberRealm` of a `MemberRef`.
Methods in org.stianloader.remapper that return types with arguments of type SimpleTopLevelLookup.MemberRealm
Modifier and Type
Method
Description
`static @NotNull @Unmodifiable Map<@NotNull MemberRef,@NotNull SimpleTopLevelLookup.MemberRealm>`
SimpleTopLevelLookup.`realmsOf(@Unmodifiable @NotNull Iterable<@NotNull org.objectweb.asm.tree.ClassNode> nodes)`
Compute a map of class member to member realm relations from a list of ClassNodes.
`static @NotNull @Unmodifiable Map<@NotNull MemberRef,@NotNull SimpleTopLevelLookup.MemberRealm>`
SimpleTopLevelLookup.`realmsOf(@Unmodifiable @NotNull List<@NotNull org.objectweb.asm.tree.ClassNode> nodes)`
Deprecated.
Use `SimpleTopLevelLookup.realmsOf(Iterable)` instead.
Constructor parameters in org.stianloader.remapper with type arguments of type SimpleTopLevelLookup.MemberRealm
Modifier
Constructor
Description
``
`SimpleTopLevelLookup(@Unmodifiable @NotNull Map<MemberRef,SimpleTopLevelLookup.MemberRealm> realms)`
Create a `SimpleTopLevelLookup` from an immutable map of `member references` to their respective `SimpleTopLevelLookup.MemberRealm`.